#ifndef MATHLIB_TRIANGLE_H
#define MATHLIB_TRIANGLE_H

#include <mathlib/matrix.h>

namespace mathlib {

template<int D>
class triangle {
public:
	vector<D> a, b, c;

	triangle() {}
	triangle(const vector<D> &a_, const vector<D> &b_,
		const vector<D> &c_) : a(a_), b(b_), c(c_) {}
};

} // namespace mathlib

#endif
